---
- name: create directory
  file: path={{collabora_service_name}} state=directory

- name: copy all static files
  synchronize:
    recursive: true
    src: "./" # relative to ./files on local role path
    dest: "{{collabora_service_name}}" # relative to ~/ on remote

- name: copy some templated .j2 files
  template:
    src: "{{item}}" # relative to ./templates on local role path
    dest: "{{collabora_service_name}}/{{ item | regex_replace(role_path+'/templates/', '') | regex_replace('\\.j2', '') }}" # relative to ~/ on remote
  with_items:
    - "docker-compose.yaml.j2"
    - "env.j2"


- name: deploy docker-compose stack
  docker_compose:
    project_src: "{{collabora_service_name}}/"
    # add multiple docker-compose.yaml / .yml files below
    files: "{{item}}"
    # This option ensures that the images are rebuilt
    build: true
    remove_orphans: true
    pull: true
  with_items:
    - "docker-compose.yaml"
